Package org.apache.calcite.avatica.remote

## Class Service.RollbackResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.RollbackResponse

Enclosing interface:
  Service

    public static class Service.RollbackResponse
    extends Service.Response

An RPC response from invoking rollback on a Connection.

### Field Summary

Fields
`private static Service.RollbackResponse` `INSTANCE`
`private static Responses.RollbackResponse` `PB_INSTANCE`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
`RollbackResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) Service.RollbackResponse` `deserialize​(com.google.protobuf.Message genericMsg)`
`boolean` `equals​(java.lang.Object o)`
`int` `hashCode()`
`(package private) Responses.RollbackResponse` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    private static final Service.RollbackResponse INSTANCE

#### PB_INSTANCE

    private static final Responses.RollbackResponse PB_INSTANCE

### Constructor Detail

#### RollbackResponse

    RollbackResponse()

### Method Detail

#### deserialize

    Service.RollbackResponse deserialize​(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Response`

#### serialize

    Responses.RollbackResponse serialize()

Specified by:
  `serialize` in class `Service.Response`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`